# notifo

Notifo - the Ruby gem for the Notifo API

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.ruby.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build notifo.gemspec
```

Then either install the gem locally:

```shell
gem install ./notifo-1.0.0.gem
```
(for development, run `gem install --dev ./notifo-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'notifo', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'notifo', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app.
contributor_id = 'contributor_id_example' # String | The contributor to remove.


begin
  #Delete an app contributor.
  result = api_instance.apps_delete_contributor(app_id, contributor_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_delete_contributor: #{e}"
end

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app where the email templates belong to.
language = 'language_example' # String | The language.


begin
  #Delete an app email template.
  api_instance.apps_delete_email_template(app_id, language)
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_delete_email_template: #{e}"
end

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app where the email templates belong to.
id = 'id_example' # String | The id of the integration.


begin
  #Delete an app integration.
  api_instance.apps_delete_integration(app_id, id)
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_delete_integration: #{e}"
end

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app.


begin
  #Get app by id.
  result = api_instance.apps_get_app(app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_get_app: #{e}"
end

api_instance = Notifo::AppsApi.new

begin
  #Get the user apps.
  result = api_instance.apps_get_apps
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_get_apps: #{e}"
end

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app where the email templates belong to.


begin
  #Get the app email templates.
  result = api_instance.apps_get_email_templates(app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_get_email_templates: #{e}"
end

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app where the integrations belong to.


begin
  #Get the app integrations.
  result = api_instance.apps_get_integrations(app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_get_integrations: #{e}"
end

api_instance = Notifo::AppsApi.new
body = Notifo::UpsertAppDto.new # UpsertAppDto | The request object.


begin
  #Create an app.
  result = api_instance.apps_post_app(body)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_post_app: #{e}"
end

api_instance = Notifo::AppsApi.new
body = Notifo::AddContributorDto.new # AddContributorDto | The request object.
app_id = 'app_id_example' # String | The id of the app.


begin
  #Add an app contributor.
  result = api_instance.apps_post_contributor(body, app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_post_contributor: #{e}"
end

api_instance = Notifo::AppsApi.new
body = Notifo::CreateEmailTemplateDto.new # CreateEmailTemplateDto | The request object.
app_id = 'app_id_example' # String | The id of the app where the email templates belong to.


begin
  #Create an app email template.
  result = api_instance.apps_post_email_template(body, app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_post_email_template: #{e}"
end

api_instance = Notifo::AppsApi.new
body = Notifo::CreateIntegrationDto.new # CreateIntegrationDto | The request object.
app_id = 'app_id_example' # String | The id of the app where the integration belong to.


begin
  #Create an app integrations.
  result = api_instance.apps_post_integration(body, app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_post_integration: #{e}"
end

api_instance = Notifo::AppsApi.new
body = Notifo::UpsertAppDto.new # UpsertAppDto | The request object.
app_id = 'app_id_example' # String | The app id to update.


begin
  #Update an app.
  result = api_instance.apps_put_app(body, app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_put_app: #{e}"
end

api_instance = Notifo::AppsApi.new
body = Notifo::EmailTemplateDto.new # EmailTemplateDto | The request object.
app_id = 'app_id_example' # String | The id of the app where the email templates belong to.
language = 'language_example' # String | The language.


begin
  #Update an app email template.
  api_instance.apps_put_email_template(body, app_id, language)
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_put_email_template: #{e}"
end

api_instance = Notifo::AppsApi.new
body = Notifo::UpdateIntegrationDto.new # UpdateIntegrationDto | The request object.
app_id = 'app_id_example' # String | The id of the app where the integration belong to.
id = 'id_example' # String | The id of the integration.


begin
  #Update an app integration.
  api_instance.apps_put_integration(body, app_id, id)
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_put_integration: #{e}"
end

api_instance = Notifo::AuthorizationApi.new

begin
  api_instance.authorization_authorize
rescue Notifo::ApiError => e
  puts "Exception when calling AuthorizationApi->authorization_authorize: #{e}"
end

api_instance = Notifo::AuthorizationApi.new

begin
  api_instance.authorization_exchange
rescue Notifo::ApiError => e
  puts "Exception when calling AuthorizationApi->authorization_exchange: #{e}"
end

api_instance = Notifo::AuthorizationApi.new

begin
  api_instance.authorization_logout
rescue Notifo::ApiError => e
  puts "Exception when calling AuthorizationApi->authorization_logout: #{e}"
end

api_instance = Notifo::ConfigsApi.new

begin
  #Get all supported languages.
  result = api_instance.configs_get_languages
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling ConfigsApi->configs_get_languages: #{e}"
end

api_instance = Notifo::ConfigsApi.new

begin
  #Get all supported timezones.
  result = api_instance.configs_get_timezones
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling ConfigsApi->configs_get_timezones: #{e}"
end

api_instance = Notifo::EventsApi.new
app_id = 'app_id_example' # String | The app where the events belongs to.
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query events.
  result = api_instance.events_get_events(app_id, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling EventsApi->events_get_events: #{e}"
end

api_instance = Notifo::EventsApi.new
body = Notifo::PublishManyDto.new # PublishManyDto | The publish request.
app_id = 'app_id_example' # String | The app where the events belongs to.


begin
  #Publish events.
  api_instance.events_post_events(body, app_id)
rescue Notifo::ApiError => e
  puts "Exception when calling EventsApi->events_post_events: #{e}"
end

api_instance = Notifo::EventsApi.new
body = Notifo::PublishDto.new # PublishDto | The publish request.


begin
  #Publish an event for the current user.
  api_instance.events_post_events2(body)
rescue Notifo::ApiError => e
  puts "Exception when calling EventsApi->events_post_events2: #{e}"
end

api_instance = Notifo::LogsApi.new
app_id = 'app_id_example' # String | The app where the log entries belongs to.
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query log entries.
  result = api_instance.logs_get_logs(app_id, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling LogsApi->logs_get_logs: #{e}"
end

api_instance = Notifo::MediaApi.new
app_id = 'app_id_example' # String | The app id where the media belongs to.
file_name = 'file_name_example' # String | The file name of the media.


begin
  #Delete a media.
  api_instance.media_delete(app_id, file_name)
rescue Notifo::ApiError => e
  puts "Exception when calling MediaApi->media_delete: #{e}"
end

api_instance = Notifo::MediaApi.new
app_id = 'app_id_example' # String | The app id where the media belongs to.
file_name = 'file_name_example' # String | The name of the media to download.
opts = { 
  cache: 789, # Integer | The cache duration.
  download: 56, # Integer | Set it to 1 to create a download response.
  width: 56, # Integer | The target width when an image.
  height: 56, # Integer | The target height when an image.
  quality: 56, # Integer | The target quality when an image.
  preset: 'preset_example', # String | A preset dimension.
  mode: Notifo::ResizeMode.new, # ResizeMode | The resize mode.
  focus_x: 3.4, # Float | The x position of the focues point.
  focus_y: 3.4, # Float | The y position of the focues point.
  force: true # BOOLEAN | True to resize it and clear the cache.
}

begin
  #Download a media object.
  result = api_instance.media_download(app_id, file_name, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling MediaApi->media_download: #{e}"
end

api_instance = Notifo::MediaApi.new
app_id = 'app_id_example' # String | The app id where the media belongs to.
file_name = 'file_name_example' # String | The name of the media to download.
opts = { 
  cache: 789, # Integer | The cache duration.
  download: 56, # Integer | Set it to 1 to create a download response.
  width: 56, # Integer | The target width when an image.
  height: 56, # Integer | The target height when an image.
  quality: 56, # Integer | The target quality when an image.
  preset: 'preset_example', # String | A preset dimension.
  mode: Notifo::ResizeMode.new, # ResizeMode | The resize mode.
  focus_x: 3.4, # Float | The x position of the focues point.
  focus_y: 3.4, # Float | The y position of the focues point.
  force: true # BOOLEAN | True to resize it and clear the cache.
}

begin
  #Download a media object.
  result = api_instance.media_download2(app_id, file_name, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling MediaApi->media_download2: #{e}"
end

api_instance = Notifo::MediaApi.new
app_id = 'app_id_example' # String | The app where the media belongs to.
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query media items.
  result = api_instance.media_get_medias(app_id, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling MediaApi->media_get_medias: #{e}"
end

api_instance = Notifo::MediaApi.new
app_id = 'app_id_example' # String | The app id where the media belongs to.
opts = { 
  file: 'file_example' # String | 
}

begin
  #Upload a media object.
  api_instance.media_upload(app_id, opts)
rescue Notifo::ApiError => e
  puts "Exception when calling MediaApi->media_upload: #{e}"
end

api_instance = Notifo::MobilePushApi.new
token = 'token_example' # String | The token to remove.


begin
  #Deletes a mobile push token for the current user.
  api_instance.mobile_push_delete_token(token)
rescue Notifo::ApiError => e
  puts "Exception when calling MobilePushApi->mobile_push_delete_token: #{e}"
end

api_instance = Notifo::MobilePushApi.new

begin
  #Returns the mobile push tokens.
  result = api_instance.mobile_push_get_tokens
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling MobilePushApi->mobile_push_get_tokens: #{e}"
end

api_instance = Notifo::MobilePushApi.new
body = Notifo::RegisterMobileTokenDto.new # RegisterMobileTokenDto | The request object.


begin
  #Register a mobile push token for the current user.
  api_instance.mobile_push_post_token(body)
rescue Notifo::ApiError => e
  puts "Exception when calling MobilePushApi->mobile_push_post_token: #{e}"
end

api_instance = Notifo::NotificationsApi.new
body = Notifo::TrackNotificationDto.new # TrackNotificationDto | The request object.


begin
  #Confirms the user notifications for the current user.
  api_instance.notifications_confirm(body)
rescue Notifo::ApiError => e
  puts "Exception when calling NotificationsApi->notifications_confirm: #{e}"
end

api_instance = Notifo::NotificationsApi.new

begin
  #Query archhived user notifications of the current user.
  result = api_instance.notifications_get_archive
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling NotificationsApi->notifications_get_archive: #{e}"
end

api_instance = Notifo::NotificationsApi.new
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query user notifications of the current user.
  result = api_instance.notifications_get_notifications(opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling NotificationsApi->notifications_get_notifications: #{e}"
end

api_instance = Notifo::TemplatesApi.new
app_id = 'app_id_example' # String | The app where the templates belong to.
code = 'code_example' # String | The template code to delete.


begin
  #Delete a template.
  result = api_instance.templates_delete_template(app_id, code)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling TemplatesApi->templates_delete_template: #{e}"
end

api_instance = Notifo::TemplatesApi.new
app_id = 'app_id_example' # String | The app where the templates belongs to.
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query templates.
  result = api_instance.templates_get_templates(app_id, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling TemplatesApi->templates_get_templates: #{e}"
end

api_instance = Notifo::TemplatesApi.new
body = Notifo::UpsertTemplatesDto.new # UpsertTemplatesDto | The upsert request.
app_id = 'app_id_example' # String | The app where the templates belong to.


begin
  #Upsert templates.
  result = api_instance.templates_post_templates(body, app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling TemplatesApi->templates_post_templates: #{e}"
end

api_instance = Notifo::TopicsApi.new
app_id = 'app_id_example' # String | The app where the topics belongs to.
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query topics.
  result = api_instance.topics_get_topics(app_id, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling TopicsApi->topics_get_topics: #{e}"
end

api_instance = Notifo::UserApi.new
topic = 'topic_example' # String | The topic path.


begin
  #Deletes a user subscription.
  api_instance.user_delete_subscription(topic)
rescue Notifo::ApiError => e
  puts "Exception when calling UserApi->user_delete_subscription: #{e}"
end

api_instance = Notifo::UserApi.new
topic = 'topic_example' # String | The topic path.


begin
  #Gets a user subscription.
  result = api_instance.user_get_subscription(topic)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling UserApi->user_get_subscription: #{e}"
end

api_instance = Notifo::UserApi.new

begin
  #Get the current user.
  result = api_instance.user_get_user
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling UserApi->user_get_user: #{e}"
end

api_instance = Notifo::UserApi.new
body = Notifo::SubscriptionDto.new # SubscriptionDto | The subscription settings.


begin
  #Creates a user subscription.
  api_instance.user_post_subscription(body)
rescue Notifo::ApiError => e
  puts "Exception when calling UserApi->user_post_subscription: #{e}"
end

api_instance = Notifo::UserApi.new
body = Notifo::UpdateProfileDto.new # UpdateProfileDto | The upsert request.


begin
  #Update the user.
  result = api_instance.user_post_user(body)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling UserApi->user_post_user: #{e}"
end

api_instance = Notifo::UserInfoApi.new

begin
  api_instance.user_info_userinfo
rescue Notifo::ApiError => e
  puts "Exception when calling UserInfoApi->user_info_userinfo: #{e}"
end

api_instance = Notifo::UserInfoApi.new

begin
  api_instance.user_info_userinfo2
rescue Notifo::ApiError => e
  puts "Exception when calling UserInfoApi->user_info_userinfo2: #{e}"
end

api_instance = Notifo::UsersApi.new
app_id = 'app_id_example' # String | The app where the users belong to.
id = 'id_example' # String | The user id.
prefix = 'prefix_example' # String | The topic prefix.


begin
  #Remove an allowed topic.
  api_instance.users_delete_allowed_topic(app_id, id, prefix)
rescue Notifo::ApiError => e
  puts "Exception when calling UsersApi->users_delete_allowed_topic: #{e}"
end

api_instance = Notifo::UsersApi.new
app_id = 'app_id_example' # String | The app where the user belongs to.
id = 'id_example' # String | The user id.
prefix = 'prefix_example' # String | The topic prefix.


begin
  #Remove a user subscriptions.
  api_instance.users_delete_subscription(app_id, id, prefix)
rescue Notifo::ApiError => e
  puts "Exception when calling UsersApi->users_delete_subscription: #{e}"
end

api_instance = Notifo::UsersApi.new
app_id = 'app_id_example' # String | The app where the users belongs to.
id = 'id_example' # String | The user id to delete.


begin
  #Delete a user.
  result = api_instance.users_delete_user(app_id, id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling UsersApi->users_delete_user: #{e}"
end

api_instance = Notifo::UsersApi.new
app_id = 'app_id_example' # String | The app where the user belongs to.
id = 'id_example' # String | The user id.
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query user subscriptions.
  result = api_instance.users_get_subscriptions(app_id, id, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling UsersApi->users_get_subscriptions: #{e}"
end

api_instance = Notifo::UsersApi.new
app_id = 'app_id_example' # String | The app where the user belongs to.
id = 'id_example' # String | The user id.


begin
  #Get a user.
  result = api_instance.users_get_user(app_id, id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling UsersApi->users_get_user: #{e}"
end

api_instance = Notifo::UsersApi.new
app_id = 'app_id_example' # String | The app where the users belongs to.
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query users.
  result = api_instance.users_get_users(app_id, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling UsersApi->users_get_users: #{e}"
end

api_instance = Notifo::UsersApi.new
body = Notifo::AddAllowedTopicDto.new # AddAllowedTopicDto | The upsert request.
app_id = 'app_id_example' # String | The app where the users belong to.
id = 'id_example' # String | The user id.


begin
  #Add an allowed topic.
  api_instance.users_post_allowed_topic(body, app_id, id)
rescue Notifo::ApiError => e
  puts "Exception when calling UsersApi->users_post_allowed_topic: #{e}"
end

api_instance = Notifo::UsersApi.new
body = Notifo::SubscriptionDto.new # SubscriptionDto | The subscription object.
app_id = 'app_id_example' # String | The app where the user belongs to.
id = 'id_example' # String | The user id.


begin
  #Upsert a user subscriptions.
  api_instance.users_post_subscription(body, app_id, id)
rescue Notifo::ApiError => e
  puts "Exception when calling UsersApi->users_post_subscription: #{e}"
end

api_instance = Notifo::UsersApi.new
body = Notifo::UpsertUsersDto.new # UpsertUsersDto | The upsert request.
app_id = 'app_id_example' # String | The app where the users belong to.


begin
  #Upsert users.
  result = api_instance.users_post_users(body, app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling UsersApi->users_post_users: #{e}"
end
```

## Documentation for API Endpoints

All URIs are relative to *https://notifo.easierlife.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Notifo::AppsApi* | [**apps_delete_contributor**](docs/AppsApi.md#apps_delete_contributor) | **POST** /api/apps/{appId}/contributors/{contributorId} | Delete an app contributor.
*Notifo::AppsApi* | [**apps_delete_email_template**](docs/AppsApi.md#apps_delete_email_template) | **DELETE** /api/apps/{appId}/email-templates/{language} | Delete an app email template.
*Notifo::AppsApi* | [**apps_delete_integration**](docs/AppsApi.md#apps_delete_integration) | **DELETE** /api/apps/{appId}/integrations/{id} | Delete an app integration.
*Notifo::AppsApi* | [**apps_get_app**](docs/AppsApi.md#apps_get_app) | **GET** /api/apps/{appId} | Get app by id.
*Notifo::AppsApi* | [**apps_get_apps**](docs/AppsApi.md#apps_get_apps) | **GET** /api/apps | Get the user apps.
*Notifo::AppsApi* | [**apps_get_email_templates**](docs/AppsApi.md#apps_get_email_templates) | **GET** /api/apps/{appId}/email-templates | Get the app email templates.
*Notifo::AppsApi* | [**apps_get_integrations**](docs/AppsApi.md#apps_get_integrations) | **GET** /api/apps/{appId}/integrations | Get the app integrations.
*Notifo::AppsApi* | [**apps_post_app**](docs/AppsApi.md#apps_post_app) | **POST** /api/apps | Create an app.
*Notifo::AppsApi* | [**apps_post_contributor**](docs/AppsApi.md#apps_post_contributor) | **POST** /api/apps/{appId}/contributors | Add an app contributor.
*Notifo::AppsApi* | [**apps_post_email_template**](docs/AppsApi.md#apps_post_email_template) | **POST** /api/apps/{appId}/email-templates | Create an app email template.
*Notifo::AppsApi* | [**apps_post_integration**](docs/AppsApi.md#apps_post_integration) | **POST** /api/apps/{appId}/integration | Create an app integrations.
*Notifo::AppsApi* | [**apps_put_app**](docs/AppsApi.md#apps_put_app) | **POST** /api/apps/{appId} | Update an app.
*Notifo::AppsApi* | [**apps_put_email_template**](docs/AppsApi.md#apps_put_email_template) | **PUT** /api/apps/{appId}/email-templates/{language} | Update an app email template.
*Notifo::AppsApi* | [**apps_put_integration**](docs/AppsApi.md#apps_put_integration) | **PUT** /api/apps/{appId}/integrations/{id} | Update an app integration.
*Notifo::AuthorizationApi* | [**authorization_authorize**](docs/AuthorizationApi.md#authorization_authorize) | **GET** /connect/authorize | 
*Notifo::AuthorizationApi* | [**authorization_exchange**](docs/AuthorizationApi.md#authorization_exchange) | **POST** /connect/token | 
*Notifo::AuthorizationApi* | [**authorization_logout**](docs/AuthorizationApi.md#authorization_logout) | **GET** /connect/logout | 
*Notifo::ConfigsApi* | [**configs_get_languages**](docs/ConfigsApi.md#configs_get_languages) | **GET** /api/languages | Get all supported languages.
*Notifo::ConfigsApi* | [**configs_get_timezones**](docs/ConfigsApi.md#configs_get_timezones) | **GET** /api/timezones | Get all supported timezones.
*Notifo::EventsApi* | [**events_get_events**](docs/EventsApi.md#events_get_events) | **GET** /api/apps/{appId}/events | Query events.
*Notifo::EventsApi* | [**events_post_events**](docs/EventsApi.md#events_post_events) | **POST** /api/apps/{appId}/events | Publish events.
*Notifo::EventsApi* | [**events_post_events2**](docs/EventsApi.md#events_post_events2) | **POST** /api/me/events | Publish an event for the current user.
*Notifo::LogsApi* | [**logs_get_logs**](docs/LogsApi.md#logs_get_logs) | **GET** /api/apps/{appId}/logs | Query log entries.
*Notifo::MediaApi* | [**media_delete**](docs/MediaApi.md#media_delete) | **DELETE** /api/apps/{appId}/media/{fileName} | Delete a media.
*Notifo::MediaApi* | [**media_download**](docs/MediaApi.md#media_download) | **GET** /api/apps/{appId}/media/{fileName} | Download a media object.
*Notifo::MediaApi* | [**media_download2**](docs/MediaApi.md#media_download2) | **GET** /api/assets/{appId}/{fileName} | Download a media object.
*Notifo::MediaApi* | [**media_get_medias**](docs/MediaApi.md#media_get_medias) | **GET** /api/apps/{appId}/media | Query media items.
*Notifo::MediaApi* | [**media_upload**](docs/MediaApi.md#media_upload) | **POST** /api/apps/{appId}/media | Upload a media object.
*Notifo::MobilePushApi* | [**mobile_push_delete_token**](docs/MobilePushApi.md#mobile_push_delete_token) | **DELETE** /api/me/mobilepush/{token} | Deletes a mobile push token for the current user.
*Notifo::MobilePushApi* | [**mobile_push_get_tokens**](docs/MobilePushApi.md#mobile_push_get_tokens) | **GET** /api/me/mobilepush | Returns the mobile push tokens.
*Notifo::MobilePushApi* | [**mobile_push_post_token**](docs/MobilePushApi.md#mobile_push_post_token) | **POST** /api/me/mobilepush | Register a mobile push token for the current user.
*Notifo::NotificationsApi* | [**notifications_confirm**](docs/NotificationsApi.md#notifications_confirm) | **POST** /api/me/notifications/handled | Confirms the user notifications for the current user.
*Notifo::NotificationsApi* | [**notifications_get_archive**](docs/NotificationsApi.md#notifications_get_archive) | **GET** /api/me/notifications/archive | Query archhived user notifications of the current user.
*Notifo::NotificationsApi* | [**notifications_get_notifications**](docs/NotificationsApi.md#notifications_get_notifications) | **GET** /api/me/notifications | Query user notifications of the current user.
*Notifo::TemplatesApi* | [**templates_delete_template**](docs/TemplatesApi.md#templates_delete_template) | **DELETE** /api/apps/{appId}/templates/{code} | Delete a template.
*Notifo::TemplatesApi* | [**templates_get_templates**](docs/TemplatesApi.md#templates_get_templates) | **GET** /api/apps/{appId}/templates | Query templates.
*Notifo::TemplatesApi* | [**templates_post_templates**](docs/TemplatesApi.md#templates_post_templates) | **POST** /api/apps/{appId}/templates | Upsert templates.
*Notifo::TopicsApi* | [**topics_get_topics**](docs/TopicsApi.md#topics_get_topics) | **GET** /api/apps/{appId}/topics | Query topics.
*Notifo::UserApi* | [**user_delete_subscription**](docs/UserApi.md#user_delete_subscription) | **DELETE** /api/me/subscriptions/{topic} | Deletes a user subscription.
*Notifo::UserApi* | [**user_get_subscription**](docs/UserApi.md#user_get_subscription) | **GET** /api/me/subscriptions/{topic} | Gets a user subscription.
*Notifo::UserApi* | [**user_get_user**](docs/UserApi.md#user_get_user) | **GET** /api/me | Get the current user.
*Notifo::UserApi* | [**user_post_subscription**](docs/UserApi.md#user_post_subscription) | **POST** /api/me/subscriptions | Creates a user subscription.
*Notifo::UserApi* | [**user_post_user**](docs/UserApi.md#user_post_user) | **POST** /api/me | Update the user.
*Notifo::UserInfoApi* | [**user_info_userinfo**](docs/UserInfoApi.md#user_info_userinfo) | **GET** /connect/userinfo | 
*Notifo::UserInfoApi* | [**user_info_userinfo2**](docs/UserInfoApi.md#user_info_userinfo2) | **POST** /connect/userinfo | 
*Notifo::UsersApi* | [**users_delete_allowed_topic**](docs/UsersApi.md#users_delete_allowed_topic) | **DELETE** /api/apps/{appId}/users/{id}/allowed-topics/{prefix} | Remove an allowed topic.
*Notifo::UsersApi* | [**users_delete_subscription**](docs/UsersApi.md#users_delete_subscription) | **DELETE** /api/apps/{appId}/users/{id}/subscriptions/{prefix} | Remove a user subscriptions.
*Notifo::UsersApi* | [**users_delete_user**](docs/UsersApi.md#users_delete_user) | **DELETE** /api/apps/{appId}/users/{id} | Delete a user.
*Notifo::UsersApi* | [**users_get_subscriptions**](docs/UsersApi.md#users_get_subscriptions) | **GET** /api/apps/{appId}/users/{id}/subscriptions | Query user subscriptions.
*Notifo::UsersApi* | [**users_get_user**](docs/UsersApi.md#users_get_user) | **GET** /api/apps/{appId}/users/{id} | Get a user.
*Notifo::UsersApi* | [**users_get_users**](docs/UsersApi.md#users_get_users) | **GET** /api/apps/{appId}/users | Query users.
*Notifo::UsersApi* | [**users_post_allowed_topic**](docs/UsersApi.md#users_post_allowed_topic) | **POST** /api/apps/{appId}/users/{id}/allowed-topics | Add an allowed topic.
*Notifo::UsersApi* | [**users_post_subscription**](docs/UsersApi.md#users_post_subscription) | **POST** /api/apps/{appId}/users/{id}/subscriptions | Upsert a user subscriptions.
*Notifo::UsersApi* | [**users_post_users**](docs/UsersApi.md#users_post_users) | **POST** /api/apps/{appId}/users | Upsert users.

## Documentation for Models

 - [Notifo::AddAllowedTopicDto](docs/AddAllowedTopicDto.md)
 - [Notifo::AddContributorDto](docs/AddContributorDto.md)
 - [Notifo::AppContributorDto](docs/AppContributorDto.md)
 - [Notifo::AppDetailsDto](docs/AppDetailsDto.md)
 - [Notifo::AppDto](docs/AppDto.md)
 - [Notifo::AppIdMediaBody](docs/AppIdMediaBody.md)
 - [Notifo::ConfiguredIntegrationDto](docs/ConfiguredIntegrationDto.md)
 - [Notifo::ConfiguredIntegrationsDto](docs/ConfiguredIntegrationsDto.md)
 - [Notifo::ConfirmMode](docs/ConfirmMode.md)
 - [Notifo::CreateEmailTemplateDto](docs/CreateEmailTemplateDto.md)
 - [Notifo::CreateIntegrationDto](docs/CreateIntegrationDto.md)
 - [Notifo::EmailTemplateDto](docs/EmailTemplateDto.md)
 - [Notifo::EmailTemplatesDto](docs/EmailTemplatesDto.md)
 - [Notifo::ErrorDto](docs/ErrorDto.md)
 - [Notifo::EventDto](docs/EventDto.md)
 - [Notifo::EventProperties](docs/EventProperties.md)
 - [Notifo::IntegrationCreatedDto](docs/IntegrationCreatedDto.md)
 - [Notifo::IntegrationDefinitionDto](docs/IntegrationDefinitionDto.md)
 - [Notifo::IntegrationProperties](docs/IntegrationProperties.md)
 - [Notifo::IntegrationPropertyDto](docs/IntegrationPropertyDto.md)
 - [Notifo::IntegrationPropertyType](docs/IntegrationPropertyType.md)
 - [Notifo::IntegrationStatus](docs/IntegrationStatus.md)
 - [Notifo::IsoDayOfWeek](docs/IsoDayOfWeek.md)
 - [Notifo::ListResponseDtoOfEventDto](docs/ListResponseDtoOfEventDto.md)
 - [Notifo::ListResponseDtoOfLogEntryDto](docs/ListResponseDtoOfLogEntryDto.md)
 - [Notifo::ListResponseDtoOfMediaDto](docs/ListResponseDtoOfMediaDto.md)
 - [Notifo::ListResponseDtoOfMobilePushTokenDto](docs/ListResponseDtoOfMobilePushTokenDto.md)
 - [Notifo::ListResponseDtoOfNotificationDto](docs/ListResponseDtoOfNotificationDto.md)
 - [Notifo::ListResponseDtoOfSubscriptionDto](docs/ListResponseDtoOfSubscriptionDto.md)
 - [Notifo::ListResponseDtoOfTemplateDto](docs/ListResponseDtoOfTemplateDto.md)
 - [Notifo::ListResponseDtoOfTopicDto](docs/ListResponseDtoOfTopicDto.md)
 - [Notifo::ListResponseDtoOfUserDto](docs/ListResponseDtoOfUserDto.md)
 - [Notifo::LocalizedText](docs/LocalizedText.md)
 - [Notifo::LogEntryDto](docs/LogEntryDto.md)
 - [Notifo::MediaDto](docs/MediaDto.md)
 - [Notifo::MediaMetadata](docs/MediaMetadata.md)
 - [Notifo::MediaType](docs/MediaType.md)
 - [Notifo::MobileDeviceType](docs/MobileDeviceType.md)
 - [Notifo::MobilePushTokenDto](docs/MobilePushTokenDto.md)
 - [Notifo::NotificationDto](docs/NotificationDto.md)
 - [Notifo::NotificationFormattingDto](docs/NotificationFormattingDto.md)
 - [Notifo::NotificationSend](docs/NotificationSend.md)
 - [Notifo::NotificationSettingDto](docs/NotificationSettingDto.md)
 - [Notifo::ProfileDto](docs/ProfileDto.md)
 - [Notifo::PublishDto](docs/PublishDto.md)
 - [Notifo::PublishManyDto](docs/PublishManyDto.md)
 - [Notifo::RegisterMobileTokenDto](docs/RegisterMobileTokenDto.md)
 - [Notifo::ResizeMode](docs/ResizeMode.md)
 - [Notifo::SchedulingDto](docs/SchedulingDto.md)
 - [Notifo::SchedulingType](docs/SchedulingType.md)
 - [Notifo::SubscriptionDto](docs/SubscriptionDto.md)
 - [Notifo::TemplateDto](docs/TemplateDto.md)
 - [Notifo::TopicDto](docs/TopicDto.md)
 - [Notifo::TrackNotificationDto](docs/TrackNotificationDto.md)
 - [Notifo::UpdateIntegrationDto](docs/UpdateIntegrationDto.md)
 - [Notifo::UpdateProfileDto](docs/UpdateProfileDto.md)
 - [Notifo::UpsertAppDto](docs/UpsertAppDto.md)
 - [Notifo::UpsertTemplateDto](docs/UpsertTemplateDto.md)
 - [Notifo::UpsertTemplatesDto](docs/UpsertTemplatesDto.md)
 - [Notifo::UpsertUserDto](docs/UpsertUserDto.md)
 - [Notifo::UpsertUsersDto](docs/UpsertUsersDto.md)
 - [Notifo::UserDto](docs/UserDto.md)

## Documentation for Authorization

 All endpoints do not require authorization.

