# Notifo::AppsApi

All URIs are relative to *https://notifo.easierlife.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**apps_delete_contributor**](AppsApi.md#apps_delete_contributor) | **POST** /api/apps/{appId}/contributors/{contributorId} | Delete an app contributor.
[**apps_delete_email_template**](AppsApi.md#apps_delete_email_template) | **DELETE** /api/apps/{appId}/email-templates/{language} | Delete an app email template.
[**apps_delete_integration**](AppsApi.md#apps_delete_integration) | **DELETE** /api/apps/{appId}/integrations/{id} | Delete an app integration.
[**apps_get_app**](AppsApi.md#apps_get_app) | **GET** /api/apps/{appId} | Get app by id.
[**apps_get_apps**](AppsApi.md#apps_get_apps) | **GET** /api/apps | Get the user apps.
[**apps_get_email_templates**](AppsApi.md#apps_get_email_templates) | **GET** /api/apps/{appId}/email-templates | Get the app email templates.
[**apps_get_integrations**](AppsApi.md#apps_get_integrations) | **GET** /api/apps/{appId}/integrations | Get the app integrations.
[**apps_post_app**](AppsApi.md#apps_post_app) | **POST** /api/apps | Create an app.
[**apps_post_contributor**](AppsApi.md#apps_post_contributor) | **POST** /api/apps/{appId}/contributors | Add an app contributor.
[**apps_post_email_template**](AppsApi.md#apps_post_email_template) | **POST** /api/apps/{appId}/email-templates | Create an app email template.
[**apps_post_integration**](AppsApi.md#apps_post_integration) | **POST** /api/apps/{appId}/integration | Create an app integrations.
[**apps_put_app**](AppsApi.md#apps_put_app) | **POST** /api/apps/{appId} | Update an app.
[**apps_put_email_template**](AppsApi.md#apps_put_email_template) | **PUT** /api/apps/{appId}/email-templates/{language} | Update an app email template.
[**apps_put_integration**](AppsApi.md#apps_put_integration) | **PUT** /api/apps/{appId}/integrations/{id} | Update an app integration.

# **apps_delete_contributor**
> AppDetailsDto apps_delete_contributor(app_id, contributor_id)

Delete an app contributor.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app.
contributor_id = 'contributor_id_example' # String | The contributor to remove.


begin
  #Delete an app contributor.
  result = api_instance.apps_delete_contributor(app_id, contributor_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_delete_contributor: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **app_id** | **String**| The id of the app. | 
 **contributor_id** | **String**| The contributor to remove. | 

### Return type

[**AppDetailsDto**](AppDetailsDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **apps_delete_email_template**
> apps_delete_email_template(app_id, language)

Delete an app email template.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app where the email templates belong to.
language = 'language_example' # String | The language.


begin
  #Delete an app email template.
  api_instance.apps_delete_email_template(app_id, language)
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_delete_email_template: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **app_id** | **String**| The id of the app where the email templates belong to. | 
 **language** | **String**| The language. | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **apps_delete_integration**
> apps_delete_integration(app_id, id)

Delete an app integration.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app where the email templates belong to.
id = 'id_example' # String | The id of the integration.


begin
  #Delete an app integration.
  api_instance.apps_delete_integration(app_id, id)
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_delete_integration: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **app_id** | **String**| The id of the app where the email templates belong to. | 
 **id** | **String**| The id of the integration. | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **apps_get_app**
> AppDetailsDto apps_get_app(app_id)

Get app by id.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app.


begin
  #Get app by id.
  result = api_instance.apps_get_app(app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_get_app: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **app_id** | **String**| The id of the app. | 

### Return type

[**AppDetailsDto**](AppDetailsDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **apps_get_apps**
> Array&lt;AppDto&gt; apps_get_apps

Get the user apps.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new

begin
  #Get the user apps.
  result = api_instance.apps_get_apps
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_get_apps: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**Array&lt;AppDto&gt;**](AppDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **apps_get_email_templates**
> EmailTemplatesDto apps_get_email_templates(app_id)

Get the app email templates.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app where the email templates belong to.


begin
  #Get the app email templates.
  result = api_instance.apps_get_email_templates(app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_get_email_templates: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **app_id** | **String**| The id of the app where the email templates belong to. | 

### Return type

[**EmailTemplatesDto**](EmailTemplatesDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **apps_get_integrations**
> ConfiguredIntegrationsDto apps_get_integrations(app_id)

Get the app integrations.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
app_id = 'app_id_example' # String | The id of the app where the integrations belong to.


begin
  #Get the app integrations.
  result = api_instance.apps_get_integrations(app_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_get_integrations: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **app_id** | **String**| The id of the app where the integrations belong to. | 

### Return type

[**ConfiguredIntegrationsDto**](ConfiguredIntegrationsDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **apps_post_app**
> AppDto apps_post_app(body)

Create an app.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
body = Notifo::UpsertAppDto.new # UpsertAppDto | The request object.


begin
  #Create an app.
  result = api_instance.apps_post_app(body)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_post_app: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**UpsertAppDto**](UpsertAppDto.md)| The request object. | 

### Return type

[**AppDto**](AppDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **apps_post_contributor**
> AppDetailsDto apps_post_contributor(bodyapp_id)

Add an app contributor.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
body = Notifo::AddContributorDto.new # AddContributorDto | The request object.
app_id = 'app_id_example' # String | The id of the app.


begin
  #Add an app contributor.
  result = api_instance.apps_post_contributor(bodyapp_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_post_contributor: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**AddContributorDto**](AddContributorDto.md)| The request object. | 
 **app_id** | **String**| The id of the app. | 

### Return type

[**AppDetailsDto**](AppDetailsDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **apps_post_email_template**
> EmailTemplateDto apps_post_email_template(bodyapp_id)

Create an app email template.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
body = Notifo::CreateEmailTemplateDto.new # CreateEmailTemplateDto | The request object.
app_id = 'app_id_example' # String | The id of the app where the email templates belong to.


begin
  #Create an app email template.
  result = api_instance.apps_post_email_template(bodyapp_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_post_email_template: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**CreateEmailTemplateDto**](CreateEmailTemplateDto.md)| The request object. | 
 **app_id** | **String**| The id of the app where the email templates belong to. | 

### Return type

[**EmailTemplateDto**](EmailTemplateDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **apps_post_integration**
> IntegrationCreatedDto apps_post_integration(bodyapp_id)

Create an app integrations.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
body = Notifo::CreateIntegrationDto.new # CreateIntegrationDto | The request object.
app_id = 'app_id_example' # String | The id of the app where the integration belong to.


begin
  #Create an app integrations.
  result = api_instance.apps_post_integration(bodyapp_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_post_integration: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**CreateIntegrationDto**](CreateIntegrationDto.md)| The request object. | 
 **app_id** | **String**| The id of the app where the integration belong to. | 

### Return type

[**IntegrationCreatedDto**](IntegrationCreatedDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **apps_put_app**
> AppDetailsDto apps_put_app(bodyapp_id)

Update an app.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
body = Notifo::UpsertAppDto.new # UpsertAppDto | The request object.
app_id = 'app_id_example' # String | The app id to update.


begin
  #Update an app.
  result = api_instance.apps_put_app(bodyapp_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_put_app: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**UpsertAppDto**](UpsertAppDto.md)| The request object. | 
 **app_id** | **String**| The app id to update. | 

### Return type

[**AppDetailsDto**](AppDetailsDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **apps_put_email_template**
> apps_put_email_template(bodyapp_idlanguage)

Update an app email template.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
body = Notifo::EmailTemplateDto.new # EmailTemplateDto | The request object.
app_id = 'app_id_example' # String | The id of the app where the email templates belong to.
language = 'language_example' # String | The language.


begin
  #Update an app email template.
  api_instance.apps_put_email_template(bodyapp_idlanguage)
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_put_email_template: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**EmailTemplateDto**](EmailTemplateDto.md)| The request object. | 
 **app_id** | **String**| The id of the app where the email templates belong to. | 
 **language** | **String**| The language. | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **apps_put_integration**
> apps_put_integration(bodyapp_idid)

Update an app integration.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::AppsApi.new
body = Notifo::UpdateIntegrationDto.new # UpdateIntegrationDto | The request object.
app_id = 'app_id_example' # String | The id of the app where the integration belong to.
id = 'id_example' # String | The id of the integration.


begin
  #Update an app integration.
  api_instance.apps_put_integration(bodyapp_idid)
rescue Notifo::ApiError => e
  puts "Exception when calling AppsApi->apps_put_integration: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**UpdateIntegrationDto**](UpdateIntegrationDto.md)| The request object. | 
 **app_id** | **String**| The id of the app where the integration belong to. | 
 **id** | **String**| The id of the integration. | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



