# Notifo::LogsApi

All URIs are relative to *https://notifo.easierlife.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**logs_get_logs**](LogsApi.md#logs_get_logs) | **GET** /api/apps/{appId}/logs | Query log entries.

# **logs_get_logs**
> ListResponseDtoOfLogEntryDto logs_get_logs(app_id, opts)

Query log entries.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::LogsApi.new
app_id = 'app_id_example' # String | The app where the log entries belongs to.
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query log entries.
  result = api_instance.logs_get_logs(app_id, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling LogsApi->logs_get_logs: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **app_id** | **String**| The app where the log entries belongs to. | 
 **query** | **String**| The optional query to search for items. | [optional] 
 **take** | **Integer**| The number of items to return. | [optional] 
 **skip** | **Integer**| The number of items to skip. | [optional] 

### Return type

[**ListResponseDtoOfLogEntryDto**](ListResponseDtoOfLogEntryDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



