# Notifo::MobilePushApi

All URIs are relative to *https://notifo.easierlife.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**mobile_push_delete_token**](MobilePushApi.md#mobile_push_delete_token) | **DELETE** /api/me/mobilepush/{token} | Deletes a mobile push token for the current user.
[**mobile_push_get_tokens**](MobilePushApi.md#mobile_push_get_tokens) | **GET** /api/me/mobilepush | Returns the mobile push tokens.
[**mobile_push_post_token**](MobilePushApi.md#mobile_push_post_token) | **POST** /api/me/mobilepush | Register a mobile push token for the current user.

# **mobile_push_delete_token**
> mobile_push_delete_token(token)

Deletes a mobile push token for the current user.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::MobilePushApi.new
token = 'token_example' # String | The token to remove.


begin
  #Deletes a mobile push token for the current user.
  api_instance.mobile_push_delete_token(token)
rescue Notifo::ApiError => e
  puts "Exception when calling MobilePushApi->mobile_push_delete_token: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token** | **String**| The token to remove. | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **mobile_push_get_tokens**
> ListResponseDtoOfMobilePushTokenDto mobile_push_get_tokens

Returns the mobile push tokens.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::MobilePushApi.new

begin
  #Returns the mobile push tokens.
  result = api_instance.mobile_push_get_tokens
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling MobilePushApi->mobile_push_get_tokens: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**ListResponseDtoOfMobilePushTokenDto**](ListResponseDtoOfMobilePushTokenDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **mobile_push_post_token**
> mobile_push_post_token(body)

Register a mobile push token for the current user.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::MobilePushApi.new
body = Notifo::RegisterMobileTokenDto.new # RegisterMobileTokenDto | The request object.


begin
  #Register a mobile push token for the current user.
  api_instance.mobile_push_post_token(body)
rescue Notifo::ApiError => e
  puts "Exception when calling MobilePushApi->mobile_push_post_token: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**RegisterMobileTokenDto**](RegisterMobileTokenDto.md)| The request object. | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



