# Notifo::NotificationsApi

All URIs are relative to *https://notifo.easierlife.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**notifications_confirm**](NotificationsApi.md#notifications_confirm) | **POST** /api/me/notifications/handled | Confirms the user notifications for the current user.
[**notifications_get_archive**](NotificationsApi.md#notifications_get_archive) | **GET** /api/me/notifications/archive | Query archhived user notifications of the current user.
[**notifications_get_notifications**](NotificationsApi.md#notifications_get_notifications) | **GET** /api/me/notifications | Query user notifications of the current user.

# **notifications_confirm**
> notifications_confirm(body)

Confirms the user notifications for the current user.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::NotificationsApi.new
body = Notifo::TrackNotificationDto.new # TrackNotificationDto | The request object.


begin
  #Confirms the user notifications for the current user.
  api_instance.notifications_confirm(body)
rescue Notifo::ApiError => e
  puts "Exception when calling NotificationsApi->notifications_confirm: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**TrackNotificationDto**](TrackNotificationDto.md)| The request object. | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **notifications_get_archive**
> ListResponseDtoOfNotificationDto notifications_get_archive

Query archhived user notifications of the current user.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::NotificationsApi.new

begin
  #Query archhived user notifications of the current user.
  result = api_instance.notifications_get_archive
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling NotificationsApi->notifications_get_archive: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**ListResponseDtoOfNotificationDto**](ListResponseDtoOfNotificationDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **notifications_get_notifications**
> ListResponseDtoOfNotificationDto notifications_get_notifications(opts)

Query user notifications of the current user.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::NotificationsApi.new
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query user notifications of the current user.
  result = api_instance.notifications_get_notifications(opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling NotificationsApi->notifications_get_notifications: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **query** | **String**| The optional query to search for items. | [optional] 
 **take** | **Integer**| The number of items to return. | [optional] 
 **skip** | **Integer**| The number of items to skip. | [optional] 

### Return type

[**ListResponseDtoOfNotificationDto**](ListResponseDtoOfNotificationDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



