# Notifo::TemplatesApi

All URIs are relative to *https://notifo.easierlife.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**templates_delete_template**](TemplatesApi.md#templates_delete_template) | **DELETE** /api/apps/{appId}/templates/{code} | Delete a template.
[**templates_get_templates**](TemplatesApi.md#templates_get_templates) | **GET** /api/apps/{appId}/templates | Query templates.
[**templates_post_templates**](TemplatesApi.md#templates_post_templates) | **POST** /api/apps/{appId}/templates | Upsert templates.

# **templates_delete_template**
> ListResponseDtoOfTemplateDto templates_delete_template(app_id, code)

Delete a template.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::TemplatesApi.new
app_id = 'app_id_example' # String | The app where the templates belong to.
code = 'code_example' # String | The template code to delete.


begin
  #Delete a template.
  result = api_instance.templates_delete_template(app_id, code)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling TemplatesApi->templates_delete_template: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **app_id** | **String**| The app where the templates belong to. | 
 **code** | **String**| The template code to delete. | 

### Return type

[**ListResponseDtoOfTemplateDto**](ListResponseDtoOfTemplateDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **templates_get_templates**
> ListResponseDtoOfTemplateDto templates_get_templates(app_id, opts)

Query templates.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::TemplatesApi.new
app_id = 'app_id_example' # String | The app where the templates belongs to.
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query templates.
  result = api_instance.templates_get_templates(app_id, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling TemplatesApi->templates_get_templates: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **app_id** | **String**| The app where the templates belongs to. | 
 **query** | **String**| The optional query to search for items. | [optional] 
 **take** | **Integer**| The number of items to return. | [optional] 
 **skip** | **Integer**| The number of items to skip. | [optional] 

### Return type

[**ListResponseDtoOfTemplateDto**](ListResponseDtoOfTemplateDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **templates_post_templates**
> Array&lt;TemplateDto&gt; templates_post_templates(bodyapp_id)

Upsert templates.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::TemplatesApi.new
body = Notifo::UpsertTemplatesDto.new # UpsertTemplatesDto | The upsert request.
app_id = 'app_id_example' # String | The app where the templates belong to.


begin
  #Upsert templates.
  result = api_instance.templates_post_templates(bodyapp_id)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling TemplatesApi->templates_post_templates: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**UpsertTemplatesDto**](UpsertTemplatesDto.md)| The upsert request. | 
 **app_id** | **String**| The app where the templates belong to. | 

### Return type

[**Array&lt;TemplateDto&gt;**](TemplateDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



