# Notifo::TopicsApi

All URIs are relative to *https://notifo.easierlife.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**topics_get_topics**](TopicsApi.md#topics_get_topics) | **GET** /api/apps/{appId}/topics | Query topics.

# **topics_get_topics**
> ListResponseDtoOfTopicDto topics_get_topics(app_id, opts)

Query topics.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::TopicsApi.new
app_id = 'app_id_example' # String | The app where the topics belongs to.
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query topics.
  result = api_instance.topics_get_topics(app_id, opts)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling TopicsApi->topics_get_topics: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **app_id** | **String**| The app where the topics belongs to. | 
 **query** | **String**| The optional query to search for items. | [optional] 
 **take** | **Integer**| The number of items to return. | [optional] 
 **skip** | **Integer**| The number of items to skip. | [optional] 

### Return type

[**ListResponseDtoOfTopicDto**](ListResponseDtoOfTopicDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



