# Notifo::UserApi

All URIs are relative to *https://notifo.easierlife.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**user_delete_subscription**](UserApi.md#user_delete_subscription) | **DELETE** /api/me/subscriptions/{topic} | Deletes a user subscription.
[**user_get_subscription**](UserApi.md#user_get_subscription) | **GET** /api/me/subscriptions/{topic} | Gets a user subscription.
[**user_get_user**](UserApi.md#user_get_user) | **GET** /api/me | Get the current user.
[**user_post_subscription**](UserApi.md#user_post_subscription) | **POST** /api/me/subscriptions | Creates a user subscription.
[**user_post_user**](UserApi.md#user_post_user) | **POST** /api/me | Update the user.

# **user_delete_subscription**
> user_delete_subscription(topic)

Deletes a user subscription.

User Id and App Id are resolved using the API token.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::UserApi.new
topic = 'topic_example' # String | The topic path.


begin
  #Deletes a user subscription.
  api_instance.user_delete_subscription(topic)
rescue Notifo::ApiError => e
  puts "Exception when calling UserApi->user_delete_subscription: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **topic** | **String**| The topic path. | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **user_get_subscription**
> SubscriptionDto user_get_subscription(topic)

Gets a user subscription.

User Id and App Id are resolved using the API token.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::UserApi.new
topic = 'topic_example' # String | The topic path.


begin
  #Gets a user subscription.
  result = api_instance.user_get_subscription(topic)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling UserApi->user_get_subscription: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **topic** | **String**| The topic path. | 

### Return type

[**SubscriptionDto**](SubscriptionDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **user_get_user**
> ProfileDto user_get_user

Get the current user.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::UserApi.new

begin
  #Get the current user.
  result = api_instance.user_get_user
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling UserApi->user_get_user: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**ProfileDto**](ProfileDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **user_post_subscription**
> user_post_subscription(body)

Creates a user subscription.

User Id and App Id are resolved using the API token.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::UserApi.new
body = Notifo::SubscriptionDto.new # SubscriptionDto | The subscription settings.


begin
  #Creates a user subscription.
  api_instance.user_post_subscription(body)
rescue Notifo::ApiError => e
  puts "Exception when calling UserApi->user_post_subscription: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**SubscriptionDto**](SubscriptionDto.md)| The subscription settings. | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **user_post_user**
> ProfileDto user_post_user(body)

Update the user.

### Example
```ruby
# load the gem
require 'notifo'

api_instance = Notifo::UserApi.new
body = Notifo::UpdateProfileDto.new # UpdateProfileDto | The upsert request.


begin
  #Update the user.
  result = api_instance.user_post_user(body)
  p result
rescue Notifo::ApiError => e
  puts "Exception when calling UserApi->user_post_user: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**UpdateProfileDto**](UpdateProfileDto.md)| The upsert request. | 

### Return type

[**ProfileDto**](ProfileDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



